##\u5F00\u53D1\u73AF\u5883\u914D\u7F6E\u6587\u4EF6
# jdbc_config
spring.datasource.url=jdbc:mysql://11.11.16.4:3306/xiy_knowledge_v3.0.1_20210712?characterEncoding=utf8&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=Yeejoin@2020
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#not support for spring-boot v1.5+, use org.apache.tomcat.jdbc.pool.DataSource by default.
spring.datasource.type=com.zaxxer.hikari.HikariDataSource
spring.datasource.hikari.minimum-idle=5
spring.datasource.hikari.maximum-pool-size=15
spring.datasource.hikari.auto-commit=true
spring.datasource.hikari.idle-timeout=30000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
spring.datasource.hikari.connection-timeout=30000
spring.datasource.hikari.connection-test-query=SELECT 1



# REDIS (RedisProperties)
spring.redis.database=1
spring.redis.host=11.11.16.1
spring.redis.port=6379
spring.redis.password=yeejoin@2020
spring.redis.timeout=0


#\u6CE8\u518C\u4E2D\u5FC3\u5730\u5740
eureka.client.service-url.defaultZone =http://11.11.16.1:10001/eureka/
eureka.instance.prefer-ip-address=true
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
eureka.instance.health-check-url=http://11.11.16.1:${server.port}${server.servlet.context-path}/actuator/health
eureka.instance.metadata-map.management.context-path=${server.servlet.context-path}/actuator
eureka.instance.status-page-url=http://11.11.16.1:${server.port}${server.servlet.context-path}/actuator/info
eureka.instance.metadata-map.management.api-docs=http://11.11.16.1:${server.port}${server.servlet.context-path}/swagger-ui.html


#ES
spring.data.elasticsearch.cluster-name=docker-cluster
spring.data.elasticsearch.cluster-nodes=11.11.16.1:9300
spring.elasticsearch.rest.uris=http://11.11.16.1:9200


#emqx v4.0
emqx.clean-session=true
emqx.client-id=${spring.application.name}-${random.int[1024,65536]}
emqx.broker=tcp://11.11.16.1:2883
emqx.user-name=knowledge
emqx.password=a123456
emqx.max-inflight=1000

#DIY
diy-config.report.record-data=false

#pic server uri
pic-server.uri=http://11.11.16.1:9000/
#pic router mark
pic-server.router=/fileURI/
